# gist-alfred

### [Download](https://github.com/danielecook/gist-alfred/releases/latest)

An Alfred workflow for accessing gists as snippets. Features:

* Full-text search of gists.
* Creation of gists from clipboard contents.
* Creation of gists from text files.
* Support for tagging and filtering by tag.
* Filtering and searching of gists by programming language.
* Filtering by starred, public, and private gists.
* Local cache of gists to speed up access (updates automatically daily or on request)

__Setup__

⚠️ If you're running macOS Monterey 12.3 or newer, you'll need to [manually install Python](https://www.python.org/downloads/release/python-2718/) before running the workflow.

Type `gg_set` and enter a username and [personal access token](https://github.com/blog/1509-personal-api-tokens) from GitHub.

Set the permissions to the following - __Important__ you must set these permissions for all functionality to work:

![Scopes](img/scopes.png)

__Tagging using using #__

![Filter by tag](img/filter_tag.png)

__Search text of gists__

![Search](img/search.png)

__Filter by starred__

![Starred](img/filter_starred.png)

__Filter by language__

![Filter by Language](img/filter_lang.png)
